Skip to main content

Get Quotation Info

POST 

/v1/merchant_quote/get_info

Get detailed quote information

Request

Body

required

    merchant_id string

    non-empty

    Merchant ID

    sub_merchant_id string

    Sub Merchant ID

    effective_date string

    Value must match regular expression ^(|\d{13})$

    Effective timestamp in milliseconds

    end_date_more string

    Value must match regular expression ^(|\d{13})$

    Expiration timestamp in milliseconds

    page_size int32

    >= 1 and <= 5000

    Page size

    page_number int32

    >= 1

    Page number

Responses

OK

Response

    total int32

    Total records

    total_pages int32

    Total pages

    page_number int32

    Current page number

    quote_info

    object[]

    Quote Info

  • Array [

  • per_transaction_fee string

    Value must match regular expression ^\d+(\.\d{1,4})?$

    Per-transaction fixed fee

    per_transaction_fee_currency string

    Value must match regular expression ^[A-Z]{3}$

    Transaction fee currency

    settlement_period string

    Settlement period type(e.g., Daily/Calendar Weekly/Calendar Monthly)

    payment_period string

    Value must match regular expression ^D\+\d{1,2}$

    Payment period format

    merchant_channel_rate_info string

    Value must match regular expression ^\d+(\.\d{0,5})?$

    Base channel rate (decimal format) ,0-5 decimal places

    region_code string

    Value must match regular expression ^[A-Z]{2}$

    ISO 3166-1 region code

    credit_card_rate_list

    object[]

    Card rate tiers (applies when transaction amount is within specified ranges)

  • Array [

  • range string

    <= 32 characters, Value must match regular expression ^\d+~(\d+|max)$

    Transaction amount range (e.g., "0~5", "5~max")

    rate string

    Value must match regular expression ^\d+(\.\d{1,4})?$

    Rate applied to transactions within this amount range (e.g., 0.055 = 5.5%)

  • ]

  • credit_card_fixed_amount_list

    object[]

    Fixed fee tiers (applies when transaction amount is within specified ranges)

  • Array [

  • range string

    <= 32 characters, Value must match regular expression ^\d+~(\d+|max)$

    Transaction amount range (e.g., "0~5", "5~max")

    amount string

    Value must match regular expression ^\d+(\.\d{1,4})?$

    Fixed fee amount (e.g., "0.10")

    currency_type string

    Value must match regular expression ^[A-Z]{3}$

    Currency code (ISO 4217)

  • ]

  • credit_card_installment_fee

    object

    Credit card installment fee rules

    fixed_rate string

    Value must match regular expression ^\d+(\.\d{1,4})?%$

    Installment fixed rate percentage

    refund

    object

    Refund rules

    fixed_fee string

    Value must match regular expression ^\d+(\.\d{1,4})?$

    Fixed fee per refund

    fixed_fee_currency string

    Value must match regular expression ^[A-Z]{3}$

    Fixed fee currency

    fixed_amount_str string

    <= 256 characters

    Human-readable fee description

    chargeback

    object

    Chargeback rules

    service_fee string

    Value must match regular expression ^\d+(\.\d{1,4})?$

    Fixed service fee per chargeback

    service_fee_currency string

    Value must match regular expression ^[A-Z]{3}$

    Service fee currency

    service_fee_str string

    <= 256 characters

    Human-readable fee description

    tax_category_show string

    <= 200 characters

    Tax category display text (e.g., VAT - Payment Channel)

    note string

    <= 1000 characters

    Tax responsibility note with placeholder (e.g., Note 1: Payment Channel shall ultimately be responsible for paying VAT which has been already included in the service fee.)

    channel_name string

    <= 128 characters

    Channel name

    begin_date string

    Value must match regular expression ^\d{13}$

    Effective time (millisecond timestamp)

    end_date string

    Value must match regular expression ^\d{13}$

    Expiration time (millisecond timestamp)

    id string

    non-empty and <= 16 characters, Value must match regular expression ^[a-z0-9_]{10,32}$

    Unique system identifier

  • ]

Loading...